%define phpversion 4.0.6
%define phprelease 3mdk
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel

Summary:	Mhash module for PHP4
Name:		php-mhash
Version:	%{phpversion}
Release:	2rph
Group:		System/Servers
License:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
Prereq:		php-common = %{phpversion}, perl, libmhash2
Requires:	libmhash2 >= 0.8.10
BuildRequires:  php-devel = %{phpversion}
BuildRequires:	libmhash2-devel >= 0.8.10

%description
The php-mhash package includes a dynamic shared object (DSO) that adds
mhash support to PHP4.
Mhash is a thread-safe hash library, implemented in C, and provides a
uniform interface to a large number of hash algorithms (MD5, SHA-1,
HAVAL, RIPEMD128, RIPEMD160, TIGER, GOST). These algorithms can be
used to compute checksums, message digests, and other signatures.
The HMAC support implements the basics for message authentication,
following RFC 2104.
 
%build
[ -e ./mhash ] && rm -fr ./mhash
cp -dpR %{phpsource}/extensions/mhash .
cd mhash

%{phpsource}/buildext mhash mhash.c "-lpq"
        
%install
cd mhash
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions

install -m 755 -s mhash.so $RPM_BUILD_ROOT%{phpdir}/extensions/

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
echo > $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README <<EOF
The php-mhash package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension=mhash.so' is uncommented
in your /etc/php.ini file.
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ -e ./mhash ] && rm -fr ./mhash

%post
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^;extension\s*=\s*mcrypt.so|extension = mcrypt.so|'
%{_sysconfdir}/php.ini
  fi
  
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   perl -pi -e 's|^extension\s*=\s*mcrypt.so|;extension = mcrypt.so|g'
%{_sysconfdir}/php.ini
   perl -pi -e 's|^;extension\s*=\s*mcrypt.so|extension = mcrypt.so|'
%{_sysconfdir}/php.ini
fi
if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 

%preun
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^extension\s*=\s*mcrypt.so|;extension = mcrypt.so|g' %{_sysconfdir}/php.ini
  fi
  if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi


%files 
%defattr(-,root,root)
%{phpdir}/extensions/mhash.so
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README

%changelog
* Tue Apr 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-2rph
- rebuild with rph extension

* Thu Sep 20 2001 Rado Ramarotafika <rado@rpmhelp.net> 4.0.6-1mdk
- First release
